# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # Notifications ```yaml openapi: 3.0.1 info: title: Notifications API description: Notification API enables merchants to subscribe to and receive notifications in real-time. version: 1.12.0 contact: name: Notifications API Support url: https://developer.payments.jpmorgan.com/contact/support servers: - url: https://mns-aws.jpmchase.com/v1 description: PRODUCTION - OAUTH - url: https://mns-aws-cat.jpmchase.com/v1 description: CLIENT TESTING - OAUTH - url: https://api-mock.payments.jpmorgan.com/v1 description: MOCK security: - BearerAuth: [] tags: - name: Subscriptions description: Manage notification subscriptions - name: Notifications description: Obtain notifications - name: Health Check description: Validate the health of the service paths: /healthcheck/notification-subscriptions: get: summary: Health check for the Notification Subscription service security: [] operationId: v1GetSubscriptionsHealth tags: - Health Check description: Health check endpoint to validate that the Notification Subscription service is running responses: '200': description: OK content: application/json: schema: $ref: '#/components/schemas/healthCheckResource' examples: Success: value: status: UP '500': description: Internal Server Error content: application/json: schema: $ref: '#/components/schemas/messages' '503': description: Service Unavailable content: application/json: schema: $ref: '#/components/schemas/messages' '504': description: Gateway Timeout content: application/json: schema: $ref: '#/components/schemas/messages' /notifications/{notification-id}: get: summary: Get a notification by notification Id operationId: v1GetNotificationByNotificationId tags: - Notifications description: Retrieves a specific notification using the notification Id parameters: - name: merchant-id in: header deprecated: true schema: type: string pattern: ^[0-9]{8,12}$ description: Identifier for the merchant account. examples: Success: value: '9876543210' Authentication failure: value: '9876543211' Authorization failure: value: '9876543212' Notification not found: value: '9876543213' - name: request-id in: header required: true schema: type: string format: uuid description: A unique identifier provided by the requestor for each request. examples: Success: value: 7611d1bf-325c-4795-a828-ac21f9bea5dc Authentication failure: value: 7611d1bf-325c-4795-a828-ac21f9bea7ab Authorization failure: value: 7611d1bf-325c-4795-a828-ac21f9bea8dc Notification not found: value: 7611d1bf-325c-4795-a828-ac21f9bea6ab - name: notification-id in: path required: true schema: type: string format: uuid description: A unique identifier provided by the requestor for each request. examples: Success: value: 44444444-4017-11e9-b649-8de064221544 Authentication failure: value: 44444444-4017-11e9-b649-8de064221234 Authorization failure: value: 44444444-4017-11e9-b649-8de064224567 Notification not found: value: 44444444-4017-11e9-b649-8de064227890 - name: entity-id in: header required: true schema: type: string pattern: ^[0-9]{8,12}$ description: Identifier for the entity. examples: Success: value: '9876543210' Authentication failure: value: '9876543211' Authorization failure: value: '9876543212' Notification not found: value: '9876543213' - name: entity-type in: header required: true schema: type: string enum: - MERCHANT - PLATFORM - CLIENT - ACCOUNT - EMBEDDED_PLATFORM - CONSUMER description: Type of entity identifier. examples: Success: value: MERCHANT Authentication failure: value: PLATFORM Authorization failure: value: CLIENT Notification not found: value: ACCOUNT - name: subscription-channel in: header schema: type: string enum: - WEBHOOK - EMAIL description: List of medium through which event notifications will be delivered to recipient. examples: Success: value: WEBHOOK Authentication failure: value: EMAIL Authorization failure: value: WEBHOOK Notification not found: value: EMAIL - name: parent-entity-id in: header schema: type: string pattern: ^[0-9]{8,12}$ description: Identifies the Parent Entity in the merchant hierarchy applicable to this request (e.g. platform ID in ISV use cases). examples: Success: value: '0123456797' Authentication failure: value: '0123456798' Authorization failure: value: '0123456799' - name: parent-entity-type in: header schema: type: string enum: - PLATFORM - EMBEDDED_PLATFORM description: Code for the Parent Entity Type in the merchant hierarchy applicable to this request (e.g. platform in ISV use cases). responses: '200': description: OK content: application/json: schema: $ref: '#/components/schemas/notificationResponse' '400': description: Bad Request content: application/json: schema: $ref: '#/components/schemas/messages' '401': description: Unauthorized content: application/json: schema: $ref: '#/components/schemas/adfsError' '403': description: Forbidden content: application/json: schema: $ref: '#/components/schemas/messages' '404': description: Not Found content: application/json: schema: $ref: '#/components/schemas/messages' '500': description: Internal Server Error content: application/json: schema: $ref: '#/components/schemas/messages' '503': description: Service Unavailable content: application/json: schema: $ref: '#/components/schemas/messages' '504': description: Gateway Timeout content: application/json: schema: $ref: '#/components/schemas/messages' /subscriptions: get: summary: Get all subscriptions by entity Id operationId: v1ListSubscriptions tags: - Subscriptions description: Retrieves all subscriptions using the entity Id parameters: - name: merchant-id in: header deprecated: true schema: type: string pattern: ^[0-9]{8,12}$ description: Identifier for the merchant account. examples: Success: value: '9876543210' Authentication failure: value: '9876543211' Authorization failure: value: '9876543212' - name: entity-id in: header required: true schema: type: string pattern: ^[0-9]{8,12}$ description: Identifier for the entity. examples: Success: value: '9876543210' Authentication failure: value: '9876543211' Authorization failure: value: '9876543212' - name: entity-type in: header required: true schema: type: string enum: - MERCHANT - PLATFORM - CLIENT - ACCOUNT - EMBEDDED_PLATFORM - CONSUMER description: Type of entity identifier. - name: request-id in: header required: true schema: type: string format: uuid description: A unique identifier provided by the requestor for each request. examples: Success: value: 7611d1bf-325c-4795-a828-ac21f9bea5dc Authentication failure: value: 7611d1bf-325c-4795-a828-ac21f9bea7ab Authorization failure: value: 7611d1bf-325c-4795-a828-ac21f9bea8dc - name: notification-type in: header schema: type: string description: The first level categories of events the firm uses to communicate with the merchant. - name: parent-entity-id in: header schema: type: string pattern: ^[0-9]{8,12}$ description: Identifies the Parent Entity in the merchant hierarchy applicable to this request (e.g. platform ID in ISV use cases). examples: Success: value: '0123456797' Authentication failure: value: '0123456798' Authorization failure: value: '0123456799' - name: parent-entity-type in: header schema: type: string enum: - PLATFORM - EMBEDDED_PLATFORM description: Code for the Parent Entity Type in the merchant hierarchy applicable to this request (e.g. platform in ISV use cases). - name: email-address in: header schema: type: string description: A mail system that allows a party to send and receive messages electronically. An email address is composed of a local part and a domain part. The local part is unique to the individual while the domain or host name must meet specific standards required by the host that administers the email service. - name: subscription-category in: header schema: type: string description: Delineates a set of rules for the management of a subscription. - name: subscription-channel in: header schema: type: string description: Codifies the method in which the Firm communicates with the Party. responses: '200': description: OK content: application/json: schema: $ref: '#/components/schemas/subscriptionResponseList' '400': description: Bad Request content: application/json: schema: $ref: '#/components/schemas/messages' '401': description: Unauthorized content: application/json: schema: $ref: '#/components/schemas/adfsError' '403': description: Forbidden content: application/json: schema: $ref: '#/components/schemas/messages' '404': description: Not Found content: application/json: schema: $ref: '#/components/schemas/messages' '500': description: Internal Server Error content: application/json: schema: $ref: '#/components/schemas/messages' '503': description: Service Unavailable content: application/json: schema: $ref: '#/components/schemas/messages' '504': description: Gateway Timeout content: application/json: schema: $ref: '#/components/schemas/messages' post: summary: Subscribe to a notification operationId: v1CreateSubscription tags: - Subscriptions description: Create subscriptions to notification event types parameters: - name: merchant-id in: header deprecated: true schema: type: string pattern: ^[0-9]{8,12}$ description: Identifier for the merchant account. examples: Success: value: '9876543210' Authentication failure: value: '9876543211' Authorization failure: value: '9876543212' - name: entity-id in: header required: true schema: type: string pattern: ^[0-9]{8,12}$ description: Identifier for the entity. examples: Success: value: '9876543210' Authentication failure: value: '9876543211' Authorization failure: value: '9876543212' - name: request-id in: header required: true schema: type: string format: uuid description: A unique identifier provided by the requestor for each request. examples: Success: value: 7611d1bf-325c-4795-a828-ac21f9bea5dc Authentication failure: value: 7611d1bf-325c-4795-a828-ac21f9bea7ab Authorization failure: value: 7611d1bf-325c-4795-a828-ac21f9bea8dc - name: entity-type in: header required: true schema: type: string enum: - MERCHANT - PLATFORM - CLIENT - ACCOUNT - EMBEDDED_PLATFORM - CONSUMER description: Type of entity identifier. - name: parent-entity-id in: header schema: type: string pattern: ^[0-9]{8,12}$ description: Identifies the Parent Entity in the merchant hierarchy applicable to this request (e.g. platform ID in ISV use cases). examples: Success: value: '0123456797' Authentication failure: value: '0123456798' Authorization failure: value: '0123456799' - name: parent-entity-type in: header schema: type: string enum: - PLATFORM - EMBEDDED_PLATFORM description: Code for the Parent Entity Type in the merchant hierarchy applicable to this request (e.g. platform in ISV use cases). requestBody: description: Create a new subscription required: true content: application/json: schema: $ref: '#/components/schemas/subscription' examples: Success: value: recipientDetails: firstName: John lastName: Doe emailAddress: john.doe@myemail.com telephoneNumber: 800-980-9890 telephoneCountryCode: '+1' preferredLanguage: en-US notifications: paymentUpdateNotification: - All callbackURL: https://merchant.notification.com subscriptionChannel: WEBHOOK Success Payout: value: recipientDetails: firstName: John lastName: Doe emailAddress: john.doe@myemail.com telephoneNumber: 800-980-9890 telephoneCountryCode: '+1' notifications: payoutNotification: - All subscriptionChannel: EMAIL Success Client Secret Post: value: notifications: paymentUpdateNotification: - All securityPreferences: webhookAuthorizationType: token tokenEndpointAuthorizationType: client_secret_post mTLSEnabled: false authorizationDetails: clientSecret: n1onto1n1on clientId: 3e28334a-1b7d-490a-a35d-12345e80e87 tokenEndpoint: https://idp.com/v1/getToken headerFields: key1: value1 key2: value2 callbackURL: https://merchant.notification.com subscriptionChannel: WEBHOOK Success Private Key Jwt: value: notifications: paymentUpdateNotification: - All securityPreferences: webhookAuthorizationType: token tokenEndpointAuthorizationType: private_key_jwt mTLSEnabled: false authorizationDetails: clientId: 3e28334a-1b7d-480a-a35d-12345e79e87 tokenEndpoint: https://idp.com/v1/getToken headerFields: Authorization: Basic 4564112313223fgdfdgdfgdfg== api-key: cT36JDhGJ4gB5jlZturI69gfd454gfd4 institute-code: JPMC country-code: US callbackURL: https://merchant.notification.com subscriptionChannel: WEBHOOK Authentication failure: value: notifications: disputeNotification: - All subscriptionChannel: EMAIL Authorization failure: value: notifications: disputeNotification: - All callbackURL: https://merchant.notification.com subscriptionChannel: WEBHOOK responses: '201': description: Created content: application/json: schema: $ref: '#/components/schemas/subscriptionsResponse' '400': description: Bad Request content: application/json: schema: $ref: '#/components/schemas/messages' '401': description: Unauthorized content: application/json: schema: $ref: '#/components/schemas/adfsError' '403': description: Forbidden content: application/json: schema: $ref: '#/components/schemas/messages' '500': description: Internal Server Error content: application/json: schema: $ref: '#/components/schemas/messages' '503': description: Service Unavailable content: application/json: schema: $ref: '#/components/schemas/messages' '504': description: Gateway Timeout content: application/json: schema: $ref: '#/components/schemas/messages' /subscriptions/{subscription-id}: get: summary: Get a subscription by subscription Id operationId: v1GetSubscriptionBySubscriptionId tags: - Subscriptions description: Retrieves a specific subscription using the subscription Id parameters: - name: request-id in: header required: true schema: type: string format: uuid description: A unique identifier provided by the requestor for each request. examples: Success: value: 7611d1bf-325c-4795-a828-ac21f9bea5dc Authentication failure: value: 7611d1bf-325c-4795-a828-ac21f9bea7ab Authorization failure: value: 7611d1bf-325c-4795-a828-ac21f9bea8dc Subscription not found: value: 7611d1bf-325c-4795-a828-ac21f9bea6ab Subscription Identifier Invalid: value: 7611d1bf-325c-4795-a828-ac21f9bea3ab - name: merchant-id in: header deprecated: true schema: type: string pattern: ^[0-9]{8,12}$ description: Identifier for the merchant account. examples: Success: value: '9876543210' Authentication failure: value: '9876543211' Authorization failure: value: '9876543212' Subscription not found: value: '9876543213' Subscription Identifier Invalid: value: '9876543214' - name: subscription-id in: path required: true schema: type: string format: uuid description: A unique identifier provided by the requestor for each request. examples: Success: value: 7611d1bf-326d-4795-a828-ac21f9bea5dc Authentication failure: value: 7611d1bf-326d-4795-a828-ac21f9bea6dc Authorization failure: value: 7611d1bf-326d-4795-a828-ac21f9bea7dc Subscription not found: value: f56f4c9c-f5d5-44db-8fc7-bd8155406d76 Subscription Identifier Invalid: value: f561d1bf-326d-4795-a828-ac21f9bea555 - name: entity-id in: header required: true schema: type: string pattern: ^[0-9]{8,12}$ description: Identifier for the entity. examples: Success: value: '9876543210' Authentication failure: value: '9876543211' Authorization failure: value: '9876543212' - name: entity-type in: header required: true schema: type: string enum: - MERCHANT - PLATFORM - CLIENT - ACCOUNT - EMBEDDED_PLATFORM - CONSUMER description: Type of entity identifier. - name: parent-entity-id in: header schema: type: string pattern: ^[0-9]{8,12}$ description: Identifies the Parent Entity in the merchant hierarchy applicable to this request (e.g. platform ID in ISV use cases). examples: Success: value: '0123456797' Authentication failure: value: '0123456798' Authorization failure: value: '0123456799' - name: parent-entity-type in: header schema: type: string enum: - PLATFORM - EMBEDDED_PLATFORM description: Code for the Parent Entity Type in the merchant hierarchy applicable to this request (e.g. platform in ISV use cases). responses: '200': description: OK content: application/json: schema: $ref: '#/components/schemas/subscriptionResponse' '400': description: Bad Request content: application/json: schema: $ref: '#/components/schemas/messages' '401': description: Unauthorized content: application/json: schema: $ref: '#/components/schemas/adfsError' '403': description: Forbidden content: application/json: schema: $ref: '#/components/schemas/messages' '404': description: Not Found content: application/json: schema: $ref: '#/components/schemas/messages' '500': description: Internal Server Error content: application/json: schema: $ref: '#/components/schemas/messages' '503': description: Service Unavailable content: application/json: schema: $ref: '#/components/schemas/messages' '504': description: Gateway Timeout content: application/json: schema: $ref: '#/components/schemas/messages' put: summary: Update a specific subscription operationId: v1UpdateSubscriptionBySubscriptionId tags: - Subscriptions description: Update a specific subscription. Keep in mind that excluded fields will be interpreted as `null`. To avoid inadvertently removing data, be sure to send the existing fields as-is in addition to the fields being updated. parameters: - name: request-id in: header required: true schema: type: string format: uuid description: A unique identifier provided by the requestor for each request. examples: Success: value: 7611d1bf-325c-4795-a828-ac21f9bea5dc Authentication failure: value: 7611d1bf-325c-4795-a828-ac21f9bea7ab Authorization failure: value: 7611d1bf-325c-4795-a828-ac21f9bea8dc Subscription not found: value: 7611d1bf-325c-4795-a828-ac21f9bea6ab Subscription Identifier Invalid: value: 7611d1bf-325c-4795-a828-ac21f9bea3ab - name: merchant-id in: header deprecated: true schema: type: string pattern: ^[0-9]{8,12}$ description: Identifier for the merchant account. examples: Success: value: '9876543210' Authentication failure: value: '9876543211' Authorization failure: value: '9876543212' Subscription not found: value: '9876543213' Subscription Identifier Invalid: value: '9876543214' - name: subscription-id in: path required: true schema: type: string format: uuid description: A unique identifier provided by the requestor for each request. examples: Success: value: 7611d1bf-326d-4795-a828-ac21f9bea5dc Authentication failure: value: 7611d1bf-326d-4795-a828-ac21f9bea7dc Authorization failure: value: 7611d1bf-326d-4795-a828-ac21f9bea9dc Subscription not found: value: f56f4c9c-f5d5-44db-8fc7-bd8155406d76 Subscription Identifier Invalid: value: f561d1bf-326d-4795-a828-ac21f9bea555 - name: entity-id in: header required: true schema: type: string pattern: ^[0-9]{8,12}$ description: Identifier for the entity. examples: Success: value: '9876543210' Authentication failure: value: '9876543211' Authorization failure: value: '9876543212' - name: entity-type in: header required: true schema: type: string enum: - MERCHANT - PLATFORM - CLIENT - ACCOUNT - EMBEDDED_PLATFORM - CONSUMER description: Type of entity identifier. - name: parent-entity-id in: header schema: type: string pattern: ^[0-9]{8,12}$ description: Identifies the Parent Entity in the merchant hierarchy applicable to this request (e.g. platform ID in ISV use cases). examples: Success: value: '0123456797' Authentication failure: value: '0123456798' Authorization failure: value: '0123456799' - name: parent-entity-type in: header schema: type: string enum: - PLATFORM - EMBEDDED_PLATFORM description: Code for the Parent Entity Type in the merchant hierarchy applicable to this request (e.g. platform in ISV use cases). requestBody: description: Update an existing notification subscription required: true content: application/json: schema: $ref: '#/components/schemas/subscription' examples: Success: value: recipientDetails: firstName: John lastName: Doe emailAddress: john.doe@myemail.com telephoneNumber: 800-980-9890 telephoneCountryCode: '+1' preferredLanguage: en-US notifications: paymentUpdateNotification: - All callbackURL: https://merchant.notification.com subscriptionChannel: WEBHOOK Authentication failure: value: notifications: disputeNotification: - All callbackURL: https://merchant.notification.com subscriptionChannel: EMAIL Authorization failure: value: notifications: disputeNotification: - All callbackURL: https://merchant.notification.com subscriptionChannel: WEBHOOK Subscription not found: value: notifications: disputeNotification: - All callbackURL: https://merchant.notification.com subscriptionChannel: EMAIL Subscription Identifier Invalid: value: notifications: disputeNotification: - All callbackURL: https://merchant.notification.com subscriptionChannel: WEBHOOK responses: '200': description: OK content: application/json: schema: $ref: '#/components/schemas/subscriptionsResponse' '400': description: Bad Request content: application/json: schema: $ref: '#/components/schemas/messages' '401': description: Unauthorized content: application/json: schema: $ref: '#/components/schemas/adfsError' '403': description: Forbidden content: application/json: schema: $ref: '#/components/schemas/messages' '404': description: Not Found content: application/json: schema: $ref: '#/components/schemas/messages' '500': description: Internal Server Error content: application/json: schema: $ref: '#/components/schemas/messages' '503': description: Service Unavailable content: application/json: schema: $ref: '#/components/schemas/messages' '504': description: Gateway Timeout content: application/json: schema: $ref: '#/components/schemas/messages' delete: summary: Delete a specific subscription operationId: v1DeleteSubscriptionBySubscriptionId tags: - Subscriptions description: Delete a specific subscription parameters: - name: merchant-id in: header deprecated: true schema: type: string pattern: ^[0-9]{8,12}$ description: Identifier for the merchant account. examples: Success: value: '9876543210' Authentication failure: value: '9876543211' Authorization failure: value: '9876543212' Subscription not found: value: '9876543213' Subscription Identifier Invalid: value: '9876543214' - name: request-id in: header required: true schema: type: string format: uuid description: A unique identifier provided by the requestor for each request. examples: Success: value: 7611d1bf-325c-4795-a828-ac21f9bea5dc Authentication failure: value: 7611d1bf-325c-4795-a828-ac21f9bea7ab Authorization failure: value: 7611d1bf-325c-4795-a828-ac21f9bea8dc Subscription not found: value: 7611d1bf-325c-4795-a828-ac21f9bea6ab Subscription Identifier Invalid: value: 7611d1bf-325c-4795-a828-ac21f9bea3ab - name: subscription-id in: path required: true schema: type: string format: uuid description: A unique identifier provided by the requestor for each request. examples: Success: value: 44444444-4017-11e9-b649-8de064221544 Authentication failure: value: 55544444-4017-11e9-b649-8de064221544 Authorization failure: value: 66644444-4017-11e9-b649-8de064221544 Subscription not found: value: f56f4c9c-f5d5-44db-8fc7-bd8155406d76 Subscription Identifier Invalid: value: f561d1bf-326d-4795-a828-ac21f9bea555 - name: entity-id in: header required: true schema: type: string pattern: ^[0-9]{8,12}$ description: Identifier for the entity. examples: Success: value: '9876543210' Authentication failure: value: '9876543211' Authorization failure: value: '9876543212' Subscription not found: value: '9876543213' Subscription Identifier Invalid: value: '9876543214' - name: entity-type in: header required: true schema: type: string enum: - MERCHANT - PLATFORM - CLIENT - ACCOUNT - EMBEDDED_PLATFORM - CONSUMER description: Type of entity identifier. - name: parent-entity-id in: header schema: type: string pattern: ^[0-9]{8,12}$ description: Identifies the Parent Entity in the merchant hierarchy applicable to this request (e.g. platform ID in ISV use cases). examples: Success: value: '0123456797' Authentication failure: value: '0123456798' Authorization failure: value: '0123456799' - name: parent-entity-type in: header schema: type: string enum: - PLATFORM - EMBEDDED_PLATFORM description: Code for the Parent Entity Type in the merchant hierarchy applicable to this request (e.g. platform in ISV use cases). responses: '200': description: OK content: application/json: schema: $ref: '#/components/schemas/messages' '400': description: Bad Request content: application/json: schema: $ref: '#/components/schemas/messages' '401': description: Unauthorized content: application/json: schema: $ref: '#/components/schemas/adfsError' '403': description: Forbidden content: application/json: schema: $ref: '#/components/schemas/messages' '404': description: Not Found content: application/json: schema: $ref: '#/components/schemas/messages' '500': description: Internal Server Error content: application/json: schema: $ref: '#/components/schemas/messages' '503': description: Service Unavailable content: application/json: schema: $ref: '#/components/schemas/messages' '504': description: Gateway Timeout content: application/json: schema: $ref: '#/components/schemas/messages' /notificationTypes: get: summary: Get all notification event types available operationId: v1SubscriptionsTypeGet tags: - Notifications description: Retrieves all available notification event types and sub-types for subscription parameters: - name: request-id in: header required: true schema: type: string format: uuid description: A unique identifier provided by the requestor for each request. examples: Success: value: 7611d1bf-325c-4795-a828-ac21f9bea5dc Authentication failure: value: 7611d1bf-325c-4795-a828-ac21f9bea7ab responses: '200': description: OK content: application/json: schema: $ref: '#/components/schemas/notificationTypeResponse' '400': description: Bad Request content: application/json: schema: $ref: '#/components/schemas/messages' '401': description: Unauthorized content: application/json: schema: $ref: '#/components/schemas/adfsError' '403': description: Forbidden content: application/json: schema: $ref: '#/components/schemas/messages' '404': description: Not Found content: application/json: schema: $ref: '#/components/schemas/messages' '500': description: Internal Server Error content: application/json: schema: $ref: '#/components/schemas/messages' '503': description: Service Unavailable content: application/json: schema: $ref: '#/components/schemas/messages' '504': description: Gateway Timeout content: application/json: schema: $ref: '#/components/schemas/messages' /notifications: get: summary: Get all notifications within a date range by notification status operationId: v1GetNotification tags: - Notifications description: Retrieves all notifications within a date range for a particular notification status or no status provided parameters: - name: request-id in: header required: true schema: type: string format: uuid description: A unique identifier provided by the requestor for each request. examples: Notification with date range: value: 7611d1bf-325c-4795-a828-ac21f9bea5dc Notification with status: value: 7611d1bf-325c-4795-a828-ac21f9bea7ab - name: merchant-id in: header deprecated: true schema: type: string pattern: ^[0-9]{8,12}$ description: Identifier for the merchant account. examples: Notification with date range: value: '9876543210' Notification with status: value: '9876543211' - name: date-range-start in: header required: true schema: type: string description: This is used for specifying individual parameters under API endpoint methods. examples: Notification with date range: value: '2022-05-24' Notification with status: value: '2022-05-24' - name: date-range-end in: header required: true schema: type: string description: This is used for specifying individual parameters under API endpoint methods. examples: Notification with date range: value: '2022-05-24' Notification with status: value: '2022-05-24' - name: notification-status in: header schema: type: string default: FAILED enum: - SENT - PENDING - FAILED description: Codifies the delivery status for e-mail, Short Message Service (SMS), and push notifications for alert or notification type recorded by the Delivery Engine when processing alert or notifications. examples: Notification with status: value: FAILED - name: entity-id in: header required: true schema: type: string pattern: ^[0-9]{8,12}$ description: Identifier for the entity. examples: Notification with date range: value: '9876543210' Notification with status: value: '9876543209' - name: entity-type in: header required: true schema: type: string enum: - MERCHANT - PLATFORM - CLIENT - ACCOUNT - EMBEDDED_PLATFORM - CONSUMER description: Type of entity identifier. - name: parent-entity-id in: header schema: type: string pattern: ^[0-9]{8,12}$ description: Identifies the Parent Entity in the merchant hierarchy applicable to this request (e.g. platform ID in ISV use cases). examples: Success: value: '0123456797' Authentication failure: value: '0123456798' Authorization failure: value: '0123456799' - name: parent-entity-type in: header schema: type: string enum: - PLATFORM - EMBEDDED_PLATFORM description: Code for the Parent Entity Type in the merchant hierarchy applicable to this request (e.g. platform in ISV use cases). responses: '200': description: OK content: application/json: schema: $ref: '#/components/schemas/notificationSearchResponse' '400': description: Bad Request content: application/json: schema: $ref: '#/components/schemas/messages' '401': description: Unauthorized content: application/json: schema: $ref: '#/components/schemas/adfsError' '403': description: Forbidden content: application/json: schema: $ref: '#/components/schemas/messages' '404': description: Not Found content: application/json: schema: $ref: '#/components/schemas/messages' '500': description: Internal Server Error content: application/json: schema: $ref: '#/components/schemas/messages' '503': description: Service Unavailable content: application/json: schema: $ref: '#/components/schemas/messages' '504': description: Gateway Timeout content: application/json: schema: $ref: '#/components/schemas/messages' /publicKeys: get: summary: (***DEPRECATED***) Get a public key by entity Id operationId: v1PublicKeyGet tags: - Subscriptions description: (***DEPRECATED***) Retrieve a public key using the Entity Id. deprecated: true parameters: - name: request-id in: header required: true schema: type: string format: uuid description: A unique identifier provided by the requestor for each request. examples: Success: value: 7611d1bf-325c-4795-a828-ac21f9bea5dc - name: merchant-id in: header deprecated: true schema: type: string pattern: ^[0-9]{8,12}$ description: Identifier for the merchant account. examples: Success: value: '9876543210' - name: entity-id in: header required: true schema: type: string pattern: ^[0-9]{8,12}$ description: Identifier for the entity. examples: Success: value: '9876543210' - name: entity-type in: header required: true schema: type: string enum: - MERCHANT - PLATFORM - CLIENT - ACCOUNT - EMBEDDED_PLATFORM - CONSUMER description: Type of entity identifier. - name: signingAlgorithm in: query schema: type: string enum: - EC - RSA description: Enumerates the Digital Signing Algorithm preferred by the Client, used to sign payloads and for identity verification. For RSA key length will be 3072 and for EC key length will be 256. - name: parent-entity-id in: header schema: type: string pattern: ^[0-9]{8,12}$ description: Identifies the Parent Entity in the merchant hierarchy applicable to this request (e.g. platform ID in ISV use cases). examples: Success: value: '0123456797' Authentication failure: value: '0123456798' Authorization failure: value: '0123456799' - name: parent-entity-type in: header schema: type: string enum: - PLATFORM - EMBEDDED_PLATFORM description: Code for the Parent Entity Type in the merchant hierarchy applicable to this request (e.g. platform in ISV use cases). responses: '200': description: OK content: application/json: schema: $ref: '#/components/schemas/publicKey' '400': description: Bad Request content: application/json: schema: $ref: '#/components/schemas/messages' '401': description: Unauthorized content: application/json: schema: $ref: '#/components/schemas/adfsError' '403': description: Forbidden content: application/json: schema: $ref: '#/components/schemas/messages' '404': description: Not Found content: application/json: schema: $ref: '#/components/schemas/messages' '500': description: Internal Server Error content: application/json: schema: $ref: '#/components/schemas/messages' '503': description: Service Unavailable content: application/json: schema: $ref: '#/components/schemas/messages' '504': description: Gateway Timeout content: application/json: schema: $ref: '#/components/schemas/messages' /public-keys: get: summary: Get a notification public key tags: - Notifications description: This endpoint delivers public key information in JSON Web Key Set (JWKS) format, enabling clients to retrieve the keys needed to verify the signatures of received webhook messages. parameters: - name: request-id in: header required: true schema: type: string format: uuid description: A unique identifier provided by the requestor for each request. examples: Success: value: 7611d1bf-325c-4795-a828-ac21f9bea5dc responses: '200': description: OK content: application/json: schema: $ref: '#/components/schemas/publicKeys' '400': description: Bad Request content: application/json: schema: $ref: '#/components/schemas/messages' '401': description: Unauthorized content: application/json: schema: $ref: '#/components/schemas/adfsError' '403': description: Forbidden content: application/json: schema: $ref: '#/components/schemas/messages' '404': description: Not Found content: application/json: schema: $ref: '#/components/schemas/messages' '500': description: Internal Server Error content: application/json: schema: $ref: '#/components/schemas/messages' '503': description: Service Unavailable content: application/json: schema: $ref: '#/components/schemas/messages' '504': description: Gateway Timeout content: application/json: schema: $ref: '#/components/schemas/messages' components: securitySchemes: BearerAuth: type: http scheme: bearer bearerFormat: JWT schemas: notificationResponse: description: Response Object for Merchant Notification. type: object properties: notificationId: description: Identifies unique occurrence of each notification. type: string merchantId: description: Identifier for the merchant account. type: string platformId: description: A unique identifier representing the profile (configuration) for an external client or internal service of the Firm that facilitates how it interacts with the Firm's services such as onboarding, transaction processing, embedded banking, etc. type: string clientId: $ref: '#/components/schemas/clientId' notificationType: description: The first level categories of events the firm uses to communicate with the merchant. e.g. "DisputeNotification". type: string notificationSubType: description: The second level categories of events the firm uses to communicate with the merchant. This second level helps the merchant further narrow down the notification subtypes they want for subscription. e.g. "DisputeClosed", "DisputeReceived". type: string notificationDescription: description: Textual information that defines each notification type. type: string messageCreateTimestamp: description: Designates the hour, minute and second in a specific day when the message was created. type: string subscriptionId: description: Unique identifier of a notification subscription type: string callbackURL: $ref: '#/components/schemas/callbackURL' disputeNotification: $ref: '#/components/schemas/disputeNotification' tokenLifecycleNotification: $ref: '#/components/schemas/tokenLifecycleNotification' paymentUpdateNotification: $ref: '#/components/schemas/paymentUpdateNotification' orderUpdateNotification: $ref: '#/components/schemas/orderUpdateNotification' recurringProgramNotification: $ref: '#/components/schemas/recurringProgramNotification' authenticationUpdateNotification: $ref: '#/components/schemas/authenticationUpdateNotification' accountUpdateNotification: $ref: '#/components/schemas/accountUpdateNotification' consumerProfileNotification: $ref: '#/components/schemas/consumerProfileNotification' reportStatusNotification: $ref: '#/components/schemas/reportStatusNotification' entityOnboardingNotification: $ref: '#/components/schemas/entityOnboardingNotification' merchantStatusNotification: $ref: '#/components/schemas/merchantStatusNotification' productOnboardingNotification: $ref: '#/components/schemas/productOnboardingNotification' payoutNotification: $ref: '#/components/schemas/payoutNotification' recommendationNotification: $ref: '#/components/schemas/recommendationNotification' refundUpdateNotification: $ref: '#/components/schemas/refundUpdateNotification' qrCodeStatusNotification: $ref: '#/components/schemas/qrCodeStatusNotification' transactionUpdateNotification: $ref: '#/components/schemas/transactionUpdateNotification' allocationOrderNotification: $ref: '#/components/schemas/allocationOrderNotification' directDebitAccountNotification: $ref: '#/components/schemas/directDebitAccountNotification' allocationOrderInstructionNotification: $ref: '#/components/schemas/allocationOrderInstructionNotification' allocationOrderSettlementNotification: $ref: '#/components/schemas/allocationOrderSettlementNotification' processingThresholdNotification: $ref: '#/components/schemas/processingThresholdNotification' achStatusNotification: $ref: '#/components/schemas/achStatusNotification' taxNotification: $ref: '#/components/schemas/taxNotification' accountInformationServiceNotification: description: Account Information Service Notification event data title: AccountInformationServiceNotification type: object properties: consentLinkInitiated: $ref: '#/components/schemas/ConsentLinkInitiated' consentLinkOpened: $ref: '#/components/schemas/ConsentLink' consentLinkSuccessful: $ref: '#/components/schemas/ConsentLink' consentLinkCancelled: $ref: '#/components/schemas/ConsentLinkWithView' consentLinkExpired: $ref: '#/components/schemas/ConsentLink' consentLinkAbandoned: $ref: '#/components/schemas/ConsentLinkWithView' consentLinkPending: $ref: '#/components/schemas/ConsentLink' consentLinkFailed: $ref: '#/components/schemas/ConsentLinkFailed' consentSuccessful: $ref: '#/components/schemas/ConsentDetail' consentFailed: $ref: '#/components/schemas/ConsentBasic' consentRevoked: $ref: '#/components/schemas/ConsentBasic' consentPending: $ref: '#/components/schemas/ConsentDetail' consentReadyToValidate: $ref: '#/components/schemas/ConsentDetail' disputeNotification: description: The payment network sends dispute information via Disputes Management platform. type: object properties: disputeAmount: $ref: '#/components/schemas/disputeAmount' disputeInitiatedDate: $ref: '#/components/schemas/disputeInitiatedDate' firmDisputeCaseID: $ref: '#/components/schemas/firmDisputeCaseID' methodOfPayment: $ref: '#/components/schemas/methodOfPayment' acquirerReferenceNumber: $ref: '#/components/schemas/acquirerReferenceNumber' disputeStatus: $ref: '#/components/schemas/disputeStatus' disputeClosed: $ref: '#/components/schemas/disputeClosed' disputeReceived: $ref: '#/components/schemas/disputeReceived' disputeMerchantResponseRequested: $ref: '#/components/schemas/disputeMerchantResponseRequested' Received: $ref: '#/components/schemas/received' Closed: $ref: '#/components/schemas/closed' Response: $ref: '#/components/schemas/responseSent' tokenLifecycleNotification: description: The token lifecycle updates information. type: object properties: tokenTypeCode: $ref: '#/components/schemas/tokenTypeCode' cardDetailsUpdate: $ref: '#/components/schemas/cardDetailsUpdate' tokenStateChange: $ref: '#/components/schemas/tokenStateChange' bulkTokenUpdate: $ref: '#/components/schemas/bulkTokenUpdate' tokenProvisionUpdate: $ref: '#/components/schemas/tokenProvisionUpdate' closed: description: "(***DEPRECATED***) Information on dispute case that was closed on the network side." type: object deprecated: true properties: disputeLiabilityAmount: $ref: '#/components/schemas/disputeLiabilityAmount' caseCompleteTimestamp: description: Designates the hour, minute and second of the day the case is stipulated to be resolved by the firm. type: string caseClosedReason: description: Codifies the reason that a case has been closed. Null Indicates that the case has not been closed. type: string liabilityAcceptIndicator: description: Indicate whether the liability was accepted or declined by merchant. Y = Accept, N = Declined type: boolean closureType: description: Codifies the method by which a chargeback or dispute will be resolved or dispositioned. Values are auto or manual. type: string installmentPaymentNumber: description: Particular iteration of payment number among total number of payment. Example 2 out of 10. type: string disputeDecisionName: description: The label given to the verdict/decision of a dispute and indicates if the case has been Won or Lost by the merchant. Examples include WIN, LOSS and PENDING. type: string disputeStageName: description: The label given to a current step or stage of the case in the dispute case resolution life cycle. type: string received: description: (***DEPRECATED***) Information on a new dispute case generation on the network (fetched by CB911). deprecated: true type: object properties: disputeAmount: $ref: '#/components/schemas/disputeAmount' caseCreateTimestamp: description: Designates the date, hour, minute and second the dispute case record was substantiated or established. type: string chargebackReason: description: 'Chargeback is the monetary value of the transaction amount that is reclaimed from the merchant. chargebackReason Possible values: customer dispute, fraud, processing error and authorization issues.' type: string installmentPaymentNumber: description: Particular iteration of payment number among total number of payment. Example 2 out of 10. type: string disputeStageName: description: The label given to a current step or stage of the case in the dispute case resolution life cycle. type: string cardDetailsUpdate: description: Information on any metadata changes that occurred for the tokenized card product. type: object properties: merchantRequestIdentifier: description: Merchant identifier for the request. The value must be unique. type: string tokenRequestorIdentifier: $ref: '#/components/schemas/tokenRequestorIdentifier' tokenReferenceIdentifier: $ref: '#/components/schemas/tokenReferenceIdentifier' tokenStateChange: description: Information on potential changes in the token and its state. type: object properties: tokenRequestorIdentifier: $ref: '#/components/schemas/tokenRequestorIdentifier' tokenReferenceIdentifier: $ref: '#/components/schemas/tokenReferenceIdentifier' tokenNumber: description: SECURE surrogate value for the account number utilized in mobile payment. type: string digitalWalletTokenExpirationYearMonthNumber: description: Enumerates the year and month (YYYYMM) in which the token will no longer be recognized as a valid payment account to be utilized at the point of sale. type: string cardTokenStatusTypeCode: description: Codifies the current state of the secure surrogate value (a.k.a. token) used to represent the card in this authorization request (e.g., A = Token Authorization, D = Token deleted or deactivated, L = Token locked). type: string statusChangeTimestamp: description: Designates the year, month, day, hour, minute, and second when the status of the interrupt has changed. This value gets updated when the value of the interrupt status name changes from one status to another. type: string previousStatusChangeTimestamp: description: Designates the year, month, day, hour, minute, and second when the status of the interrupt has changed. This value gets updated when the value of the interrupt status name changes from one status to another. type: string tokenStateChangeReasonCode: description: Codifies the rationale for changing the token status of a digital token. type: string tokenStateChangeReasonText: description: Textual description of the rationale for changing the token status of a digital token. type: string merchantRequestIdentifier: description: Merchant identifier for the request. The value must be unique. type: string notifications: description: Array of Notification Types. type: object properties: disputeNotification: type: array minItems: 0 description: '**Limited availability: Please connect with your relationship manager for availability.** Array of Dispute notification Types. The possible values include ''All'', ''DisputeClosed'', ''DisputeReceived'', ''DisputeMerchantResponseRequested''.' items: $ref: '#/components/schemas/disputeNotificationType' tokenLifecycleNotification: type: array minItems: 0 description: Array of Token lifecycle Notification types.Possible values are "All", "CardDetailsUpdate", "TokenStateChange", "TokenProvisionUpdate", "BulkTokenUpdate". items: $ref: '#/components/schemas/tokenLifecycleNotificationType' paymentUpdateNotification: type: array minItems: 0 description: Array of Payment Update notification Types. The possible values are "PaymentApproved","PaymentDeclined","PaymentErrored", "PaymentVoid", "PaymentClosed", "All" items: $ref: '#/components/schemas/paymentUpdateNotificationType' orderUpdateNotification: type: array minItems: 0 description: (***DEPRECATED***) Array of Order Update notification Types. deprecated: true items: $ref: '#/components/schemas/orderUpdateNotificationType' recurringProgramNotification: type: array minItems: 0 description: Array of Recurring program notification Types. Possible values are "PlanUpdated", "ProgramUpdated", "PaymentApplied", "PaymentNotApplied","ConsumerCommunicationUpdated", "All" items: $ref: '#/components/schemas/recurringProgramNotificationType' accountUpdateNotification: type: array minItems: 0 description: Array of Account update notification Types. Possible values are "AccountLinkSuccess","AccountLinkException","AccountUpdaterStatus","MicroDepositInitiated","MicroDepositSent","MicroDepositVerificationFailed","MicroDepositVerified", "MicroDepositReadyToValidate", "RecipientUpdated", "All" items: $ref: '#/components/schemas/accountUpdateNotificationType' authenticationUpdateNotification: type: array minItems: 0 description: Array of Authentication notification Types. Possible values is "AuthenticationComplete","All" items: $ref: '#/components/schemas/authenticationNotificationType' consumerProfileNotification: type: array minItems: 0 description: Array of consumer profile update notification types. Possible values are "Created","PaymentMethodCreated", "PaymentMethodDeleted", "BulkConsumerProfileUpdate", "All" items: $ref: '#/components/schemas/consumerProfileNotificationType' reportStatusNotification: type: array minItems: 0 description: Array of report update notification subscription. Possible values are "DailyCompleted", "MonthlyCompleted", "WeeklyCompleted", "AdhocRunCompleted", "DailyErrored", "MonthlyErrored", "WeeklyErrored", "AdhocRunErrored", "IcPlusStatementCompleted", All" items: $ref: '#/components/schemas/reportStatusNotificationType' entityOnboardingNotification: type: array minItems: 0 description: Array of entity onboarding update notification. Possible values include "EntityOnboarding", "EntityScreening", "All" items: $ref: '#/components/schemas/entityOnboardingNotificationType' productOnboardingNotification: type: array minItems: 0 description: (***DEPRECATED***) Array of product onboarding notification subscriptions deprecated: true items: $ref: '#/components/schemas/productOnboardingNotificationType' merchantStatusNotification: type: array minItems: 0 description: Array of merchant status notification subscriptions. Possible values are "MerchantOnboardingInProgress", "MerchantOnboardingCompleted", "MerchantOnboardingDeclined", "MerchantSuspendedAutoblock", "MerchantSuspendedWithFundHold", "MerchantSuspendedWithoutFundHold", "MerchantAccountClosed","MerchantAccountPendingForClosure", "MerchantReactivationCompleted", "MerchantReactivationInProgress", "MerchantReactivationDeclined", "MerchantOnboardingDeclinedWithCreditPull", "MopActivationCompleted", "MopActivationDeclined", "All" items: $ref: '#/components/schemas/merchantStatusNotificationType' payoutNotification: type: array minItems: 0 description: Array of payout notification subscriptions. Possible values are "PayoutFailure", "PayoutUnderReview", "PayoutCreated", "PayoutDenied", "PayoutCompleted", "PayoutFailureResolved", "PayoutUnderReviewReleased", "PayoutRejectedResolved", "PayoutRejected", "All" items: $ref: '#/components/schemas/payoutNotificationType' systemNotification: type: array minItems: 0 description: Array of system notification subscriptions. Possible values are "MessageAlert", "All" items: $ref: '#/components/schemas/systemNotificationType' recommendationNotification: type: array minItems: 0 description: Array of recommendation notifications available for subscription. Possible values are "PaymentRetry", "All" items: $ref: '#/components/schemas/recommendationNotificationType' refundUpdateNotification: type: array minItems: 0 description: Array of refund transaction notifications available for subscription. Possible values are "RefundApproved", "RefundDeclined", "RefundErrored", "RefundClosed", "All" items: $ref: '#/components/schemas/refundUpdateNotificationType' qrCodeStatusNotification: type: array minItems: 0 description: Array of qr status notifications available for subscription. Possible values are QRCodeCreated, QRCodeExpired, QRCodePaid, QRCodeSettlementProcessing, QRCodeCancelled, All items: $ref: '#/components/schemas/qrCodeStatusNotificationType' transactionUpdateNotification: type: array minItems: 0 description: Array of transaction update notification types. Possible values are "TransactionCompleted", "TransactionRejected", "TransactionChangeRequested", "All" items: $ref: '#/components/schemas/transactionUpdateNotificationType' allocationOrderNotification: type: array minItems: 0 description: Array of allocation order notification types. Possible values are "AllocationOrderUpdateNotification", "All" items: $ref: '#/components/schemas/allocationOrderNotificationType' directDebitAccountNotification: type: array minItems: 0 description: Array of direct debit notification subscriptions. Possible values are "DirectDebitAccountUpdateSuccess", "DirectDebitAccountUpdateFailure", "DirectDebitAccountUpdatePending", "All" items: $ref: '#/components/schemas/directDebitAccountNotificationTypeCode' allocationOrderInstructionNotificationSubscription: type: array minItems: 0 description: Array of allocation order instruction notification subscriptions. Possible values are - "AllocationOrderInstructionUpdate" and "AllocationOrderInstructionRequest" items: $ref: '#/components/schemas/allocationOrderInstructionNotificationTypeCode' allocationOrderSettlementNotificationSubscription: type: array minItems: 0 description: Array of allocation order settlement notification subscriptions. Possible values are - "PspSettlementTransferUpdate", "DistributionTransferUpdate", "PlatformSettlementTransferUpdate" items: $ref: '#/components/schemas/allocationOrderSettlementNotificationTypeCode' processingThresholdNotificationSubscription: type: array minItems: 0 description: Array of processing threshold notification types items: $ref: '#/components/schemas/processingThresholdNotificationType' achStatusNotification: type: array minItems: 0 description: Array of ach status notification subscriptions. Possible values are - "AchReturnReceived" items: $ref: '#/components/schemas/achStatusNotificationType' taxNotification: type: array minItems: 0 description: Array of Tax notifications available for subscription. Possible values are BackupWithholdingPrevented, BackupWithholdingPreventedTwo, BackupWithholdingPending, BackupWithholdingPendingTwo, BackupWithholdingStopped, BackupWithholdingStoppedTwo, BackupWithholdingStarted, BackupWithholdingStartedTwo, All items: $ref: '#/components/schemas/taxNotificationType' accountInformationServiceNotification: type: array minItems: 0 description: Array of AIS notification subscriptions. Possible values are - ConsentLinkInitiated, ConsentLinkOpened, ConsentLinkSuccessful, ConsentLinkCancelled, ConsentLinkExpired, ConsentLinkAbandoned, ConsentLinkPending, ConsentLinkFailed, ConsentSuccessful, ConsentFailed, ConsentRevoked, ConsentPending, ConsentReadyToValidate, All items: $ref: '#/components/schemas/accountInformationServiceNotificationType' subscriptionResponse: description: Response Object for Merchant Notification Subscription type: object properties: notifications: $ref: '#/components/schemas/notifications' subscriptionId: $ref: '#/components/schemas/subscriptionId' subscriptionCreateTimestamp: $ref: '#/components/schemas/subscriptionCreateTimestamp' subscriptionUpdatedTimestamp: $ref: '#/components/schemas/subscriptionUpdatedTimestamp' subscriptionChannels: $ref: '#/components/schemas/subscriptionChannels' callbackURL: $ref: '#/components/schemas/callbackURL' responseStatus: $ref: '#/components/schemas/responseStatus' responseCode: $ref: '#/components/schemas/responseCode' responseMessage: $ref: '#/components/schemas/responseMessage' publicKey: $ref: '#/components/schemas/publicKey' subscriptionsResponse: description: Response Object for Merchant Notification Subscription type: object properties: notifications: $ref: '#/components/schemas/notifications' subscriptionId: $ref: '#/components/schemas/subscriptionId' subscriptionCreateTimestamp: $ref: '#/components/schemas/subscriptionCreateTimestamp' subscriptionUpdatedTimestamp: $ref: '#/components/schemas/subscriptionUpdatedTimestamp' subscriptionChannels: $ref: '#/components/schemas/subscriptionChannels' callbackURL: $ref: '#/components/schemas/callbackURL' secretKey: $ref: '#/components/schemas/secretKey' responseStatus: $ref: '#/components/schemas/responseStatus' responseCode: $ref: '#/components/schemas/responseCode' responseMessage: $ref: '#/components/schemas/responseMessage' publicKey: $ref: '#/components/schemas/publicKey' recipientDetails: $ref: '#/components/schemas/recipientDetails' subscriptionChannel: $ref: '#/components/schemas/subscriptionChannel' subscriptionCategory: $ref: '#/components/schemas/subscriptionCategory' subscriptionResponseList: description: Response Object for Notification Get Subscription Response type: object properties: pageInfo: $ref: '#/components/schemas/pageInfo' subscriptionGetResponses: type: array minItems: 0 description: List of Subscription Responses items: $ref: '#/components/schemas/subscriptionGetResponse' subscription: description: Request Object for Merchant Notification Subscription type: object required: - notifications properties: subscriptionId: $ref: '#/components/schemas/subscriptionId' recipientDetails: $ref: '#/components/schemas/recipientDetails' notifications: $ref: '#/components/schemas/notifications' securityPreferences: $ref: '#/components/schemas/securityPreferences' subscriptionStatus: description: Codifies the status of an agreement to receive alerts and messages by the merchant for events of interest chosen by the merchant. This status is set by the Firm's notification system. type: string readOnly: true enum: - ACTIVE - INACTIVE subscriptionChannels: $ref: '#/components/schemas/subscriptionChannels' callbackURL: $ref: '#/components/schemas/callbackURL' publicKey: $ref: '#/components/schemas/publicKey' responseStatus: $ref: '#/components/schemas/responseStatus' responseCode: $ref: '#/components/schemas/responseCode' responseMessage: $ref: '#/components/schemas/responseMessage' createdAt: description: Designates the hour, minute and second in a specific day when the record was created. type: string readOnly: true format: date-time updatedAt: description: Designates the hour, minute, and second in a specifc day when the record was last modified. type: string readOnly: true format: date-time subscribingForEntity: $ref: '#/components/schemas/subscribingForEntity' subscriptionChannel: $ref: '#/components/schemas/subscriptionChannel' subscriptionCategory: description: (***DEPRECATED***) Delineates a set of rules for the management of a subscription. type: string enum: - DEFAULT - MANDATORY writeOnly: true subscriptionGetResponse: description: subscriptionGetResponse type: object properties: notifications: $ref: '#/components/schemas/notifications' subscriptionId: $ref: '#/components/schemas/subscriptionId' subscriptionCreateTimestamp: $ref: '#/components/schemas/subscriptionCreateTimestamp' subscriptionUpdatedTimestamp: $ref: '#/components/schemas/subscriptionUpdatedTimestamp' callbackURL: $ref: '#/components/schemas/callbackURL' publicKey: $ref: '#/components/schemas/publicKey' subscriptionChannels: $ref: '#/components/schemas/subscriptionChannels' recipientDetails: $ref: '#/components/schemas/recipientDetails' subscriptionCreateTimestamp: description: Designates the hour, minute and second in a specific day when the notification subscription was created. type: string subscriptionUpdatedTimestamp: description: Designates the hour, minute and second in a specific day when the notification subscription has been modified. type: string callbackURL: description: URL/Endpoint to receive Webhook notifications by merchant. type: string subscriptionId: description: Identifies unique occurrence of notification subscription message by the merchant for new subscription or modification of an existing subscription. type: string readOnly: true secretKey: description: (***DEPRECATED***) This is the endpoint's confidential text used for generating signatures. This is only returned at creation. type: string disputeNotificationType: description: Subscribe to notifications for dispute type: string enum: - All - Closed - Received - Response - DisputeClosed - DisputeReceived - DisputeMerchantResponseRequested deprecated: true healthCheckResource: description: Contains health check information about a resource. type: object required: - status properties: status: description: General status of all resources. type: string enum: - UP - DOWN - UNKNOWN - OUT OF SERVICE example: UP messages: description: A list of errors and warnings. type: object required: - responseStatus - responseCode properties: responseStatus: $ref: '#/components/schemas/responseStatus' responseCode: description: Short explanation of the response code. type: string readOnly: true minLength: 2 maxLength: 50 example: ACCEPTED responseMessage: $ref: '#/components/schemas/responseMessage' validationErrors: type: array minItems: 0 description: Information about errors occurred in validation. items: $ref: '#/components/schemas/validationMessage' responseMessage: description: Long explanation of the response code. type: string readOnly: true example: Request Accepted validationMessage: description: Object containing information about transaction validation type: object required: - code - message properties: code: description: Short informative code about the error. type: string message: description: Long informative message about the error. type: string entity: description: Information about the entity that experienced an error. type: string adfsError: description: Object containing information about the active directory file system error. type: object required: - errorSource - errorCode - errorDescription properties: errorSource: description: The label of the component from where the error or warning was generated. type: string example: APG-EDGE errorCode: description: General status of all resources. type: string example: EDG00012 errorDescription: description: Long explanation of code returned by the computer system application that either indicates successful processing, or a given number that can be investigated by support staff for further resolution and troubleshooting. type: string example: the signature could not be verified amount: description: Specifies the monetary value of the transaction performed. type: string currency: description: Codifies the monetary unit that was associated with the financial transaction (such as sale, returns, chargebacks etc.). type: string disputeAmount: description: Object containing dispute Amount type: object properties: amount: $ref: '#/components/schemas/amount' currency: $ref: '#/components/schemas/currency' disputeLiabilityAmount: description: Object containing merchant liability Amount type: object properties: amount: $ref: '#/components/schemas/amount' currency: $ref: '#/components/schemas/currency' tokenRequestorIdentifier: description: Identifier for acquirer, merchant or digital wallet provider that will use the payment token to replace the PAN in its transaction processing. type: string tokenReferenceIdentifier: description: A reference to the token number that is assigned for an account. type: string tokenTypeCode: description: Tokenization method used in a transaction. Sample values are Network Token, Acquirer Token type: string tokenLifecycleNotificationType: description: Codifies the subscription type to Token lifecycle notifications type: string enum: - All - CardDetailsUpdate - TokenStateChange - TokenProvisionUpdate - BulkTokenUpdate paymentUpdateNotificationType: description: Subscribe to notifications for payment update type: string enum: - PaymentApproved - PaymentDeclined - PaymentErrored - PaymentVoid - PaymentClosed - All orderUpdateNotificationType: description: (***DEPRECATED***) Subscribe to notifications for order update type: string enum: - OrderApproved - OrderDeclined - OrderErrored - All deprecated: true purchaseOrderNumber: description: (***DEPRECATED***) Uniquely identifies a commercial document issued by a buyer to a seller indicating types, quantities, and agreed prices for products or services. deprecated: true type: string transactionIdentifier: description: Identifies a unique occurrence of a transaction. type: string notificationResponseTimestamp: description: Designates the date, hour, minute and second the response was provided against a request. In this context, this is the notification response timestamp for payment update notification or order update notification. type: string merchantDoingBusinessAsName: description: The moniker given to an alias name for a Merchant labeled as D.B.A. that is different from the legal name. type: string paymentUpdateNotification: description: The Payment updates information type: object properties: merchantOrderNumber: $ref: '#/components/schemas/merchantOrderNumber' amount: $ref: '#/components/schemas/amount' currency: $ref: '#/components/schemas/currency' transactionIdentifier: $ref: '#/components/schemas/transactionIdentifier' paymentRequestIdentifier: $ref: '#/components/schemas/paymentRequestIdentifier' paymentType: $ref: '#/components/schemas/paymentType' transactionDate: description: Designates the hour, minute, seconds and date (if timestamp) or year, month, and date (if date) when the transaction (monetary or non-monetary) occurred. type: string paymentApproved: $ref: '#/components/schemas/paymentApproved' paymentDeclined: $ref: '#/components/schemas/paymentDeclined' paymentErrored: $ref: '#/components/schemas/paymentErrored' purchaseOrderNumber: description: (***DEPRECATED***) Uniquely identifies a commercial document issued by a buyer to a seller indicating types, quantities, and agreed prices for products or services. deprecated: true type: string responseTime: description: (***DEPRECATED***) Designates the date, hour, minute and second the response was provided against a request. In this context, this is the notification response timestamp for payment update notification or order update notification. deprecated: true type: string paymentVoid: $ref: '#/components/schemas/paymentVoid' paymentClosed: $ref: '#/components/schemas/paymentClosed' consumerProfileId: $ref: '#/components/schemas/consumerProfileId' externalProfileId: $ref: '#/components/schemas/externalProfileId' paymentMethodId: $ref: '#/components/schemas/paymentMethodId' merchantDoingBusinessAsName: $ref: '#/components/schemas/merchantDoingBusinessAsName' orderUpdateNotification: description: (***DEPRECATED***) The Order updates information. type: object deprecated: true properties: purchaseOrderNumber: description: Uniquely identifies a commercial document issued by a buyer to a seller indicating types, quantities, and agreed prices for products or services. type: string transactionId: $ref: '#/components/schemas/transactionIdentifier' amount: $ref: '#/components/schemas/amount' currency: $ref: '#/components/schemas/currency' transactionDate: description: Designates the hour, minute, seconds and date (if timestamp) or year, month, and date (if date) when the transaction (monetary or non-monetary) occurred. type: string responseTime: $ref: '#/components/schemas/notificationResponseTimestamp' paymentType: $ref: '#/components/schemas/paymentType' requestId: $ref: '#/components/schemas/requestId' isDurbinRegulated: description: Whether the card is regulated as per the Durbin Amendment type: boolean isLevel3Eligible: description: Whether the card is eligible for Level 3 fields type: boolean issuanceCountryCode: description: "Identifies country of card issuing bank, using ISO Alpha 3 standards. " type: string cardIssuerName: description: The label given to the issuer of a card-based payment account. The term "issuer" may refer to either the payment brand itself, as for the American Express and Discover payment brands, or the issuer will be a financial institution authorized to issue cards with the payment brand logo, as is the case for Visa and MasterCard. type: string cardProductName: description: Card product name as defined by payment networks. e.g. Signature Premium Debit. type: string cardProductTypes: type: array minItems: 0 description: List of card products applicable for the account number. items: type: string last4CardNumber: description: Identifies the last four digits of the primary account number of a credit, debit or pre-paid card. type: string orderApproved: $ref: '#/components/schemas/orderApproved' orderDeclined: $ref: '#/components/schemas/orderDeclined' orderErrored: $ref: '#/components/schemas/orderErrored' paymentType: description: 'Codifies the method used to pay for the exchange of money, goods or services between a merchant and their customer. Examples: Visa, MasterCard, PayPal, Bill Me Later etc. Also known with the Firm as method of payment or MOP.' type: string paymentApproved: description: "Information on transaction that was successfully approved at the payment gateway." type: object properties: hostResponseCode: $ref: '#/components/schemas/hostResponseCode' hostMessage: $ref: '#/components/schemas/hostMessage' responseCode: $ref: '#/components/schemas/responseCode' responseStatus: $ref: '#/components/schemas/responseStatus' approvalCode: $ref: '#/components/schemas/approvalCode' responseMessage: $ref: '#/components/schemas/responseMessage' transactionState: description: Current state transaction is in. "Authorized" - transaction not yet captured. "Captured" - can no longer be augmented. "Closed" - payout process initiated. type: string enum: - AUTHORIZED - VOIDED - PENDING - DECLINED - COMPLETED - CLOSED - ERROR - RECEIVED procStatus: description: (***DEPRECATED***) Codifies the success or failure of an individual request for whether transactions have successfully passed all of the Gateway edit checks. type: string deprecated: true procStatusMessage: description: (***DEPRECATED***) Textual information describing the success or failure of an individual request for whether transactions have successfully passed all of the Gateway edit checks. type: string deprecated: true hostRespCode: $ref: '#/components/schemas/hostRespCode' procStatus: description: (***DEPRECATED***) Codifies the success or failure of an individual request for whether transactions have successfully passed all of the Gateway edit checks. deprecated: true type: string procStatusMessage: description: (***DEPRECATED***) Textual information describing the success or failure of an individual request for whether transactions have successfully passed all of the Gateway edit checks. deprecated: true type: string hostRespCode: description: (***Deprecated***) Codifies the response being sent back to merchant from Authorization Engine during Credit Card authorization. (e.g. 00=Approved, 01=Referral to Issuer, 04=Pickup Card) deprecated: true type: string responseCode: description: Codifies the Firm's representation of the response code being sent back to the merchant. type: string readOnly: true responseStatus: description: Codifies the general categorization by the Firm of the response code being sent back to the merchant. type: string readOnly: true approvalCode: description: 'An Identifier that an issuer (payment authorizing processor, or Stand-In Processing (STIP)) provides to indicate approval of a Point of Sale transaction. The code is returned in the Authorization Response and is usually recorded on the Transaction Receipt. The field must contain at least a six-position Authorization Identifier. Allowed entries are: Spaces, A through Z, 0 through 0.' type: string paymentDeclined: description: Information on transaction that was declined at the payment gateway. type: object properties: hostResponseCode: $ref: '#/components/schemas/hostResponseCode' responseCode: $ref: '#/components/schemas/responseCode' responseStatus: $ref: '#/components/schemas/responseStatus' approvalCode: $ref: '#/components/schemas/approvalCode' responseMessage: $ref: '#/components/schemas/responseMessage' hostRespCode: $ref: '#/components/schemas/hostRespCode' procStatus: description: (***DEPRECATED***) Codifies the success or failure of an individual request for whether transactions have successfully passed all of the Gateway edit checks. type: string deprecated: true procStatusMessage: description: (***DEPRECATED***) Textual information describing the success or failure of an individual request for whether transactions have successfully passed all of the Gateway edit checks. type: string deprecated: true hostMessage: description: Provides textual description of what has occurred on the transaction completing a task. type: string paymentErrored: description: Information on transaction that failed with an error at the payment gateway. type: object properties: hostResponseCode: $ref: '#/components/schemas/hostResponseCode' responseCode: $ref: '#/components/schemas/responseCode' responseStatus: $ref: '#/components/schemas/responseStatus' approvalCode: $ref: '#/components/schemas/approvalCode' responseMessage: $ref: '#/components/schemas/responseMessage' hostRespCode: $ref: '#/components/schemas/hostRespCode' procStatus: description: (***DEPRECATED***) Codifies the success or failure of an individual request for whether transactions have successfully passed all of the Gateway edit checks. type: string deprecated: true procStatusMessage: description: (***DEPRECATED***) Textual information describing the success or failure of an individual request for whether transactions have successfully passed all of the Gateway edit checks. type: string deprecated: true orderApproved: description: Information on order that was approved. type: object properties: procStatus: $ref: '#/components/schemas/procStatus' procStatusMessage: $ref: '#/components/schemas/procStatusMessage' sourceResponseCode: $ref: '#/components/schemas/sourceResponseCode' sourceResponseStatus: $ref: '#/components/schemas/sourceResponseStatus' sourceResponseMessage: $ref: '#/components/schemas/sourceResponseMessage' orderDeclined: description: Information on order that was declined. type: object properties: procStatus: $ref: '#/components/schemas/procStatus' procStatusMessage: $ref: '#/components/schemas/procStatusMessage' sourceResponseCode: $ref: '#/components/schemas/sourceResponseCode' sourceResponseStatus: $ref: '#/components/schemas/sourceResponseStatus' sourceResponseMessage: $ref: '#/components/schemas/sourceResponseMessage' orderErrored: description: Information on order that was errored. type: object properties: procStatus: $ref: '#/components/schemas/procStatus' procStatusMessage: $ref: '#/components/schemas/procStatusMessage' sourceResponseCode: $ref: '#/components/schemas/sourceResponseCode' sourceResponseStatus: $ref: '#/components/schemas/sourceResponseStatus' sourceResponseMessage: $ref: '#/components/schemas/sourceResponseMessage' supportedNotification: description: Supported Notification details type: object properties: notificationType: $ref: '#/components/schemas/notificationType' notificationDescription: $ref: '#/components/schemas/notificationDescription' supportedSubtypes: type: array minItems: 0 description: List of Notification Subtypes associated with the notification items: $ref: '#/components/schemas/supportedSubType' notificationType: description: The first level categories of events the firm uses to communicate with the merchant. e.g. "disputeNotification". type: string notificationSubType: description: The second level categories of events the firm uses to communicate with the merchant. This second level helps the merchant further narrow down the notification subtypes they want for subscription. e.g. "DisputeClosed", "DisputeReceived". type: string notificationDescription: description: Textual information that defines each notification type. type: string supportedSubType: description: The second level categories of events the firm uses to communicate with the merchant. type: object properties: notificationSubType: $ref: '#/components/schemas/notificationSubType' subTypeDescription: description: The textual information of the second level categories of events the firm uses to communicate with the merchant. type: string subscriptionChannels: $ref: '#/components/schemas/subscriptionChannels' notificationSearchResponse: description: List of notifications sent to merchant type: object properties: notificationResponses: type: array minItems: 0 description: List of Notifications items: $ref: '#/components/schemas/notificationResponse' responseStatus: $ref: '#/components/schemas/responseStatus' responseCode: $ref: '#/components/schemas/responseCode' responseMessage: $ref: '#/components/schemas/responseMessage' caseCreateTimestamp: description: Designates the date, hour, minute and second the dispute case record was substantiated or established. type: string closureType: description: Codifies the method by which a chargeback or dispute will be resolved or dispositioned. Values are auto or manual. type: string responseSent: description: "(***DEPRECATED***) Information on response sent for a particular dispute case to the payment brand." type: object deprecated: true properties: disputeAmount: $ref: '#/components/schemas/disputeAmount' chargebackReasonCode: description: Codifies the chargeback reason for the disputed case. Chargeback is the monetary value of the transaction amount that is reclaimed from the merchant. Chargeback happens for variety of reasons and some common reasons are customer dispute, fraud, processing error and authorization issues. type: string chargebackReasonDescription: description: Textual description of the chargeback reason for the disputed case. Chargeback is the monetary value of the transaction amount that is reclaimed from the merchant. Chargeback happens for variety of reasons and some common reasons are customer dispute, fraud, processing error and authorization issues. type: string disputeStageName: description: The label given to a current step or stage of the case in the dispute case resolution life cycle. type: string cardType: description: 'Codifies the method used to pay for the exchange of money, goods or services between a merchant and their customer. Examples: Visa, MasterCard, PayPal, Bill Me Later etc. Also known with the Firm as method of payment or MOP.' type: string caseCreateTimestamp: $ref: '#/components/schemas/caseCreateTimestamp' closureType: $ref: '#/components/schemas/closureType' notificationTypeResponse: description: Notification type supported by firm type: object properties: notificationTypes: type: array minItems: 0 description: List of notification supported by firm items: $ref: '#/components/schemas/supportedNotification' bulkTokenUpdate: description: Information on status of the bulk tokenization files. type: object properties: merchantId: description: Identifies a unique entity for transaction processing at the lowest level of the account hierarchy of the backend proprietary merchant acquiring processing platform. This level organizes transaction types for submission, funding, and reporting. type: string batchId: description: Identifies a group of transaction activities used for processing. type: string merchantRequestIdentifier: description: Merchant identifier for the request. The value must be unique. type: string processedRecordCount: description: Enumerates the quantity of records in a data object that is processed or transmitted. type: string erroredRecordCount: description: Enumerates the quantity of records in a data object that is processed or transmitted. type: string fileStatus: description: Codifies the state in which a job is in while processing a bulk transaction file. Possible states include RECEIVED, PROCESSING, PROCESSED, COMPLETED, RESPONDED, and ERROR. type: string fileProcessedTimestamp: description: Designates the hour, minute, and second in a specific day when the file was processed by the processing system. type: string tokenProvisionUpdate: description: Information on asynchronously provisioned token for future processing. type: object properties: merchantRequestIdentifier: description: Merchant identifier for the request. The value must be unique. type: string tokenRequestorIdentifier: description: 'Identifies a unique occurrence of the pairing of the token requestor with the token domain. The Transaction Processing Network/Token service provider (VISA/Mastercard) utilizes the Token Requestor Identifier to: 1. Map the PAN (Primary Account Number) to payment token, and 2. Identify any other attributes of the token requestor, determined at the time of registration (AKA token domains). The token requestor is typically an acquirer, merchant or digital wallet provider that will use the payment token to replace the PAN in its transaction processing. Token Requestor Identifier is sent to the Firm by the Transaction Processing Network.' type: string tokenReferenceIdentifier: description: 'Identifies uniquely a token provisioning request assigned by token service/vault and provided to Issuer and Wallet Provider. This can be used as a reference to the token number that is assigned for an account when provisioning completes. Example: DNITHE461927644624368716' type: string validationIdentifier: description: Unique identifier for account holder validation. type: string tokenNumber: description: The token number is a SECURE surrogate value for the account number utilized in mobile payment. Token is created at enrollment into the Mobile Programs, such as Chase Pay, Apple Pay... For any transaction that is using the Mobile Program the Token Number will be attached as part of the transaction. The Token Number is a surrogate based on the Credit Card number, DDA Checking or other payments accounts may also be utilized as they can behave as a Credit Card for payment purposes. The token number is consistent with ISO 8583 message requirements, and is a 13 to 19-digit numeric value that must pass basic validation rules of an account number, including the LUHN check(Mod 10). The LUHN check is a test used by some card companies to distinguish valid card numbers from what could be a random selection of digits. Token domains are different classifications that a token can fall under, usually describing different domains of digital payment transactions. There can be many Token Numbers to a single Card Number, DDA Checking Number, or Other payment accounts based on the Mobile Program the Token Number was created. Tokens must not have the same value as, or conflict with a Card number, DDA Check Number or Other payment Accounts. type: string tokenExpiry: $ref: '#/components/schemas/tokenExpiry' tokenExpiry: description: This is used for specifying an attribute used on a model for object that will contain one or more attributes type: object properties: month: description: Identifies a unique occurrence of the month within a calendar year (e.g., 1 = January, 2 = February, 12 = December). type: string year: description: Identifies the century and year portion of a date. (e.g., 2014, 2015) type: string merchantId: description: Identifies a unique entity for transaction processing at the lowest level of the account hierarchy of the backend proprietary merchant acquiring processing platform. This level organizes transaction types for submission, funding, and reporting. type: string recurringProgramNotification: description: The Recurring program updates information. type: object properties: planUpdated: $ref: '#/components/schemas/planUpdated' programUpdated: $ref: '#/components/schemas/programUpdated' consumerCommunicationUpdated: $ref: '#/components/schemas/consumerCommunicationUpdated' paymentApplied: $ref: '#/components/schemas/recurringProgramPaymentStatus' paymentNotApplied: $ref: '#/components/schemas/recurringProgramPaymentStatus' planUpdated: description: Information on Plans taken in Recurring Program type: object properties: planId: $ref: '#/components/schemas/planId' recurringPlanRequestId: description: Merchant identifier for the request. The value must be unique. type: string merchantPlanId: description: A unique identifier for a payment program or contract offered by the merchant for products or services that include product pricing and billing frequency. type: string planName: $ref: '#/components/schemas/planName' planType: description: Identifies the recurring payment model of the plan. type: string planDescription: description: The textual description for a payment program or contract offered by the merchant for products or services that include product pricing and billing frequency. type: string billingFrequencyUnit: description: Codifies the selection of a time interval (days, weeks, months, years) for billing of a consumer by the merchant for goods and/or services. type: string billingFrequencyCount: description: The number of times the consumer will be billed for the type of recurring plan they signed up for. type: integer planAmount: description: The monetary value of an individual payment for a payment program or contract. type: integer format: int64 currencyCode: description: Represents a unique identifier for currencies, as assigned by the ISO 4217 specification. Alternatively, a currency code may also be a custom firm assigned value created where an ISO code does not exist. type: string defaultPlan: description: Identifies if the recurring plan is the default plan for a merchant. The default plan will be showed at the top of the list whenever a recurring program is created. type: boolean autoRenewable: description: Determines if a recurring program that is set using this plan will be renewed at the end-date. type: boolean availableOnCheckout: description: Determines if a recurring plan will be available on checkout (sales pages) type: boolean planStatus: description: Codifies the current standing of a payment program or contract offered by the merchant for products or services that include product pricing and billing frequency. type: string programUpdated: description: Information on Program taken in Recurring Program type: object properties: recurringProgramId: $ref: '#/components/schemas/recurringProgramId' recurringProgramRequestId: description: Merchant identifier for the request. The value must be unique. type: string consumerProfile: $ref: '#/components/schemas/consumerProfile' merchantRecurringProgramId: description: A merchant generated identifier that connects a merchant's consumer to products/services offered by the merchant. The program (subscription) allows a consumer to receive products/services on a regular basis and be automatically charged on their preferred method of payment according to the chosen frequency. type: string recurringProgramName: description: The label given to a recurring payment program (subscription) by the merchant's consumer for products or services offered by merchant. The program (subscription) allows a consumer to receive products/services on a regular basis and be automatically charged on their preferred method of payment according to the chosen frequency. type: string recurringProgramDescription: description: Provides a textual description of a recurring payment program (subscription) by the merchant's consumer for products or services offered by merchant. The program (subscription) allows a consumer to receive products/services on a regular basis and be automatically charged on their preferred method of payment according to the chosen frequency. type: string startDate: description: Designates the year (YYYY), month and day that the recurring payment subscription by the consumer for products or services offered by merchant will begin. type: string endDate: description: Designates the year (YYYY), month and day that the recurring payment subscription by the consumer for products or services offered by merchant will stop. type: string recurringProgramAutoRenewable: description: Indicates a recurring program is set to be automatically continued with the same terms and conditions of the plan after the current period ends. type: boolean planId: description: A unique identifier for a payment program or contract managed by the Firm on behalf of the merchant for products or services that include product pricing and billing frequency. type: string planDefault: description: Identifies if the recurring plan is the default plan for a merchant. The default plan will be showed at the top of the list whenever a recurring program is created. type: boolean programBillingFrequencyUnit: description: Codifies the selection of a time interval (days, weeks, months, years) for billing of a consumer by the merchant for goods and/or services. type: string programBillingFrequencyCount: description: The number of times the consumer will be billed for the type of recurring plan they signed up for. type: integer recurringProgramAmount: description: Specifies the monetary value defined for the recurring payment program (subscription) by the consumer for products or services offered by merchant. type: integer format: int64 currencyCode: description: Represents a unique identifier for currencies, as assigned by the ISO 4217 specification. Alternatively, a currency code may also be a custom firm assigned value created where an ISO code does not exist. type: string originalNetworkTransactionId: description: Identifies a transaction as assigned by the payment network or the firm. type: string recurringProgramStatus: description: Codifies the current standing of a recurring payment program (subscription) by the merchant's consumer for products or services offered by merchant. The program (subscription) allows a consumer to receive products/services on a regular basis and be automatically charged on their preferred method of payment according to the chosen frequency. type: string communicationPreference: $ref: '#/components/schemas/communicationPreference' recurringProgramMetadataList: type: array minItems: 0 description: Recurring program Metadata List items: $ref: '#/components/schemas/recurringProgramMetadata' recurringProgramQuantity: description: Determines the number of units of products/services provided by the merchant to the consumer on the recurring program. type: string cardVerification: $ref: '#/components/schemas/cardVerification' recurringProgramBillingScheduleInformation: $ref: '#/components/schemas/recurringProgramBillingScheduleInformation' recurringProgramPauseInformation: $ref: '#/components/schemas/recurringProgramPauseInformation' consumerCommunicationUpdated: description: Information on Communication Preference taken in Recurring Program. type: object properties: recurringProgramId: $ref: '#/components/schemas/recurringProgramId' consumerProfileId: description: Identifies a unique occurrence of a consumer's information maintained by the Firm on behalf of the merchant. The consumer profile contains information relevant to processing transactions such as name, address, account and potentially information for multiple payment methods. type: string paymentMethodId: $ref: '#/components/schemas/paymentMethodId' invoiceNumber: description: Uniquely identifies a bill or claim issued by a seller to a buyer for a sale transaction and including the products, quantities and agreed prices for products or services the seller had provided the buyer. type: string billingCycleStartDate: description: Identifies the year, month and day when the first demand for payment (bill) is generated for the associated schedule. type: string billingCycleEndDate: description: "Designates the century, year, month, and day when the recurring billing will end . A billing cycle is a period of time determined by the billing frequency unit and billing frequency count as defined on the recurring plan. In this context, this is the last day of the current billing cycle." type: string communicationPreference: $ref: '#/components/schemas/communicationPreference' notificationId: description: Identifies unique occurrence of each notification. type: string notificationType: description: The first level categories of events the firm uses to communicate with the merchant. e.g. "DisputeNotification". type: string notificationCreateTimestamp: description: Designates the hour, minute and second in a specific day when the record was created. type: string notificationDeliveryStatus: description: Codifies the delivery status for e-mail, Short Message Service (SMS), and push notifications for alert or notification type recorded by the Delivery Engine when processing alert or notifications. type: string errorMessageText: description: Provides textual description of a problem that has occurred and is preventing the system from completing a task. Messages can be a confirmation, warning or notification, and can trigger the system to apply a customized default value or override to a field, record or file, halt or postpone processing, skip or reject the entry generating the problem. Messages can be displayed on-screen in the user interface or in reporting. type: string recurringProgramPaymentStatus: description: Information on Program Payment Status. type: object properties: recurringProgramId: $ref: '#/components/schemas/recurringProgramId' planId: $ref: '#/components/schemas/planId' planName: $ref: '#/components/schemas/planName' paymentMethodId: $ref: '#/components/schemas/paymentMethodId' cardType: $ref: '#/components/schemas/cardType' last4CardNumber: $ref: '#/components/schemas/last4CardNumber' first6CardNumber: $ref: '#/components/schemas/first6CardNumber' maskedAccountNumber: $ref: '#/components/schemas/maskedAccountNumber' retryCount: description: Enumerates the quantity of records in a data object that is processed or transmitted. type: integer allowedRetryCount: description: Enumerates the quantity of records in a data object that is processed or transmitted. type: integer transactionId: $ref: '#/components/schemas/transactionId' approvalCode: $ref: '#/components/schemas/approvalCode' transactionStatusCode: description: Codifies the current state a transaction may be in. The transaction can only be in one state at a time. The state is based on the current phase a transaction could be in. For example, a transaction that has been received but not captured would be in the A type: string paymentRequestIdentifier: description: Identifies a unique occurrence of a payment processing request for a sale that is associated with a purchase of goods and/or services. A payment request can consist of authorizations, captures, chargebacks and refunds. This identifier connects all of the requests related to the original sale. type: string transactionAmount: description: Specifies the monetary value of the transaction performed. type: integer format: int64 currencyCode: description: Codifies the monetary unit that was associated with the financial transaction (such as sale, returns, chargebacks etc.). type: string responseCode: description: Codifies the response being sent back to merchant from Authorization Engine during Credit Card authorization. (e.g. 00=Approved, 01=Referral to Issuer, 04=Pickup Card) type: string responseMessage: description: A verbose explanation of the Firm's representation of the authorization response code being sent back to the merchant during credit card authorization. type: string responseStatus: description: Codifies the Firm's representation of the authorization response category code being sent back to the merchant during credit card authorization. SUCCESS DENIED ERROR type: string hostMessage: description: Codifies the Firm's representation of the authorization response code being sent back to the merchant during credit card authorization. type: string transactionDate: $ref: '#/components/schemas/transactionDate' recurringProgramNotificationType: description: 'Codifies the categories of messages the firm uses to communicate with the merchant. Sample vaues are: chargeback, alerts, funding.' type: string enum: - PlanUpdated - ProgramUpdated - PaymentApplied - PaymentNotApplied - ConsumerCommunicationUpdated - All cardVerification: description: This is used for specifying an attribute used on a model for object that will contain one or more attributes type: object properties: transactionId: description: Identifies a unique occurrence of a transaction. type: string transactionDate: $ref: '#/components/schemas/transactionDate' consumerProfile: description: This is used for specifying an attribute used on a model for object that will contain one or more attributes type: object properties: consumerProfileId: $ref: '#/components/schemas/consumerProfileId' paymentMethodType: $ref: '#/components/schemas/paymentMethodType' paymentMethodType: description: This is used for specifying an attribute used on a model for object that will contain one or more attributes type: object properties: paymentMethodId: $ref: '#/components/schemas/paymentMethodId' maskedAccountNumber: $ref: '#/components/schemas/maskedAccountNumber' cardType: $ref: '#/components/schemas/cardType' last4CardNumber: $ref: '#/components/schemas/last4CardNumber' first6CardNumber: $ref: '#/components/schemas/first6CardNumber' billingAddressId: description: Identifies a classification of a geographic area that is captured for a consumer purchasing goods or services. type: string recurringProgramBillingScheduleInformation: description: Recurring Program Billing Schedule Information type: object properties: currentBillingCycleStartDate: description: Identifies the year, month and day when the first demand for payment (bill) is generated for the associated schedule. type: string currentBillingCycleEndDate: description: "Designates the century, year, month, and day when the recurring billing will end . A billing cycle is a period of time determined by the billing frequency unit and billing frequency count as defined on the recurring plan. In this context, this is the last day of the current billing cycle." type: string nextBillingCycleStartDate: description: Identifies the year, month and day when the first demand for payment (bill) is generated for the associated schedule. type: string nextBillingCycleEndDate: description: "Designates the century, year, month, and day when the recurring billing will end . A billing cycle is a period of time determined by the billing frequency unit and billing frequency count as defined on the recurring plan. In this context, this is the last day of the current billing cycle." type: string billingCyclesTotalCount: description: Identifies the number of billing cycles that will be processed when an end date is provided. A billing cycle is a period of time determined by the billing frequency unit and billing frequency count as defined on the recurring plan. type: integer billingCyclesProcessedCount: description: Identifies the number of billing cycles that will be processed when an end date is provided. A billing cycle is a period of time determined by the billing frequency unit and billing frequency count as defined on the recurring plan. type: integer billingCyclesPaymentSuccessCount: description: Identifies the number of billing cycles that will be processed when an end date is provided. A billing cycle is a period of time determined by the billing frequency unit and billing frequency count as defined on the recurring plan. type: integer billingCyclesPaymentFailureCount: description: Identifies the number of billing cycles that will be processed when an end date is provided. A billing cycle is a period of time determined by the billing frequency unit and billing frequency count as defined on the recurring plan. type: integer currencyCode: description: Represents a unique identifier for currencies, as assigned by the ISO 4217 specification. Alternatively, a currency code may also be a custom firm assigned value created where an ISO code does not exist. type: string pastDueAmount: description: Specifies the monetary value of total delinquent amount owed on an account. type: integer format: int64 creditAmount: description: The full monetary value due back to the consumer and to be returned by the merchant in the form of a refund or a future adjustment. type: integer format: int64 recurringProgramMetadata: description: Recurring Program Metadata type: object properties: metadataAttribute: description: Specifies the label of the attribute associated with a data element when used in a key-value pair. type: string metadataAttributeValue: description: Provides textual information about the Value assigned to a data element when used in a key-value pair. type: string communicationPreference: description: Communication Preference type: object properties: preferredPhone: description: 'A locator whose value identifies the formatted numeric address for routing voice or data communications via telephony, to reach a party. NOTE: Telephone number formats may vary; this field can include domestic and international telephone numbers.' type: string telephoneCountryCode: description: The telephone dialing prefix for a member country in the International Telecommunication Union (ITU) that is defined by the ITU-T E.164 standard. The code is a combination of one, two or three digits identifying a specific country, countries in an integrated numbering plan, or a specific geographic area. type: string preferredPhoneOptIn: description: 'Consent provided by customer on whether or not the phone number can be used for autodialing or texting. Note: This field is used as a first hierarchical step to determine whether or not a mobile phone number can be auto-dialed for servicing-information purposes. NOTE: This field cannot be used to determine if a mobile phone can be auto-dialed for marketing purposes.' type: boolean preferredEmail: description: A mail system that allows a party to send and receive messages electronically. An email address is composed of a local part and a domain part. The local part is unique to the individual while the domain or host name must meet specific standards required by the host that administers the email service. type: string preferredEmailOptin: description: Indicates whether consent has been provided by the party for the communication method (email / Phone or other type) to be used for automatic notificatio
[...]
